<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('grants', function (Blueprint $table) {
            //
            $table->enum('status', ['Planned', 'In_progress', 'Completed'])->default('Planned');
            $table->string('currency')->nullable();
            $table->foreignId('sector_id')->references('id')->on('sectors')->onDelete('cascade');

        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('grants', function (Blueprint $table) {
            //
        });
    }
};
